﻿

.ErrorMessage {
    color: ghostwhite;
    background-color: #cc0000;
    font-family: 'Times New Roman';
    font-weight: bolder;
    font-weight: 900;
    font-size: large;
    letter-spacing: 1px;
}

.DisplayMessage {
    color: blue;
    background-color: transparent;
    font-family: Arial;
    font-weight: normal;
}

.PageHeader {
    color: #65698A;
    background-color: transparent;
    font-weight: bold;
    font-size: x-large;
}

.DisplayTable{
    width: 100%;
    border-style: solid;
    border-width: 1px;
    border-color: #999999; /* Redundancy for old browsers */
    border-color: var(--DisplayTable-border-color);
    background-color: #F8F8F8; /* Redundancy for old browsers */
    background-color: var(--DisplayTable-background-color);
    color: #000; /* Redundancy for old browsers */
    color: var(--DisplayTable-text-color);
    border-radius: 2px;
}

.tblInfo {
    width: 85%;
    border: solid;
    background-color:white;
    max-width: 1250px;
    min-width: 600px;
    border-spacing: 0px;
}

.tblInfoNoBorder {
    width: 80%;
    max-width: 1250px;
    min-width: 600px;
}

.tblErrorMessages {
    width: 80%;
    max-width: 1250px;
    min-width: 600px;
}

.Row2 {
    /*background-color: #CFCFCF;*/
    background-color: #DED3AF;
    text-indent: 3px;
    padding: 0px;
}

.Row1 {
    /*background-color: #F0F0F0;*/
    background-color: #E7ECFC;
    text-indent: 3px;
    padding: 0px;
}

.ListTable {
    border-spacing: 0px;
}

.DistrictSchoolNote {
    
    background-color: white;

    border-radius: 3% !important;
    width: 70% !important;
}

.DistrictSchoolNoteAlternative {
    background-color: white;
    max-width: 500px;
    min-width: 400px;
    border-radius: 1% !important;
    z-index: 9999 !important;
}

.HeaderRow {
    font-family: Arial;
    font-weight: bold;
    /*background-color: #ABABAB;*/
    background-color: #d4d4c8;
    border-style: solid;
    border-color: Black;
    border-width: 1px;
}

.DisplayButton {
    background-color: #00548B;
    margin: 1px;
    color: #FFFFFF;
    font-family: Helvetica;
    font-size: 13px;
    border: none;
    padding: 5px 10px 5px;
    border-radius: 2px;
    cursor: pointer;
}

.tooltipContainer {
    display: inline;
    z-index: 24;
    text-decoration: none;
    border: 0px;
}

    .tooltipContainer:hover {
        position: relative;
    }

    .tooltipContainer .tooltipDisplay {
        /*the span will display just on :hover state*/
        display: block;
        visibility: hidden;
        position: absolute;
        top: 2px;
        left: 25px;
        padding: 3px 3px 3px 3px;
        border: 1px solid #000000;
        background-color: #C9D1E7;
        color: #000000;
        text-align: left;
        z-index: 25;
        -moz-box-shadow: 1px 1px 2px #000;
        -webkit-box-shadow: 1px 1px 2px #000;
        box-shadow: 1px 1px 2px #000; /* For IE 8 */
        -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=1, Direction=135, Color='#000000')"; /* For IE 5.5 - 7 */
        filter: progid:DXImageTransform.Microsoft.Shadow(Strength=1, Direction=135, Color='#000000');
        -moz-border-radius: 5px;
        border-radius: 5px;
    }

    .tooltipContainer:hover .tooltipDisplay {
        visibility: visible;
        -webkit-animation-name: bounce;
        animation-name: bounce;
        -webkit-animation-duration: .15s;
        animation-duration: .15s;
        -webkit-animation-fill-mode: both;
        animation-fill-mode: both;
        -webkit-animation-timing-function: ease-out;
        animation-timing-function: ease-out;
        animation-iteration-count: 1;
        -webkit-animation-iteration-count: 1;
    }

    .tooltipContainer:not(:hover) .tooltipDisplay {
        -webkit-animation-name: 0;
        animation-name: 0;
    }

@-webkit-keyframes bounce {
    0% {
        -webkit-transform: scale(.75,.75);
    }

    100% {
        -webkit-transform: scale(1,1);
    }
}

@keyframes bounce {
    0% {
        transform: scale(.75,.75);
    }

    100% {
        transform: scale(1,1);
    }
}


.SessionHeader {
    font-size: 14px;
}

.HistoryHeader {
    font-size: 13px;
    font-family: Arial;
    font-weight: bold;
    /*background-color: #ABABAB;*/
    background-color: #d4d4c8;
    border-style: solid;
    border-color: Black;
    border-width: 1px;
}

.HistoryRow1 {
    font-family: Arial;
    font-size: 12px;
    background-color: #E7ECFC;
    text-indent: 3px;
}

.HistoryRow2 {
    font-family: Arial;
    font-size: 12px;
    background-color: #DED3AF;
    text-indent: 3px;
}

/*.PrintScreenButton {
    -moz-box-shadow: inset 1px 1px 0px 0px #ffffff;
    -webkit-box-shadow: inset 1px 1px 0px 0px #ffffff;
    box-shadow: inset 1px 1px 0px 0px #ffffff;
    background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #ededed), color-stop(1, #dfdfdf) );
    background: -moz-linear-gradient( center top, #ededed 5%, #dfdfdf 100% );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ededed', endColorstr='#dfdfdf');
    background-color: #ededed;
    -webkit-border-top-left-radius: 0px;
    -moz-border-radius-topleft: 0px;
    border-top-left-radius: 0px;
    -webkit-border-top-right-radius: 0px;
    -moz-border-radius-topright: 0px;
    border-top-right-radius: 0px;
    -webkit-border-bottom-right-radius: 0px;
    -moz-border-radius-bottomright: 0px;
    border-bottom-right-radius: 0px;
    -webkit-border-bottom-left-radius: 0px;
    -moz-border-radius-bottomleft: 0px;
    border-bottom-left-radius: 0px;
    text-indent: 1.31px;
    border: 1px solid #000000;
    display: block;
    color: #050505;
    font-family: Arial;
    font-size: 11px;
    font-weight: bold;
    font-style: normal;
    height: 50px;
    line-height: 50px;
    width: 160px;
    text-decoration: none;
    text-align: center;
    text-shadow: 1px 1px 0px #ffffff;
}

    .PrintScreenButton:hover {
        background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #dfdfdf), color-stop(1, #ededed) );
        background: -moz-linear-gradient( center top, #dfdfdf 5%, #ededed 100% );
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#dfdfdf', endColorstr='#ededed');
        background-color: #dfdfdf;
    }*/

    .PrintScreenButton:active {
        position: relative;
        top: 1px;
    }

.PrintScreenButton {
    color: #fff;
    border-color: #172b4d;
    background-color: #172b4d;
    box-shadow: 0 4px 6px rgba(50, 50, 93, .11), 0 1px 3px rgba(0, 0, 0, .08);
}

    .PrintScreenButton:hover {
        color: #fff;
        border-color: #172b4d;
        background-color: #172b4d;
    }

    .PrintScreenButton:focus,
    .PrintScreenButton.focus {
        box-shadow: 0 4px 6px rgba(50, 50, 93, .11), 0 1px 3px rgba(0, 0, 0, .08), 0 0 0 0 rgba(23, 43, 77, .5);
    }

    .PrintScreenButton.disabled,
    .PrintScreenButton:disabled {
        color: #fff;
        border-color: #172b4d;
        background-color: #172b4d;
    }

    .PrintScreenButton:not(:disabled):not(.disabled):active,
    .PrintScreenButton:not(:disabled):not(.disabled).active,
    .show > .PrintScreenButton.dropdown-toggle {
        color: #fff;
        border-color: #172b4d;
        background-color: #0b1526;
    }

        .PrintScreenButton:not(:disabled):not(.disabled):active:focus,
        .PrintScreenButton:not(:disabled):not(.disabled).active:focus,
        .show > .PrintScreenButton.dropdown-toggle:focus {
            box-shadow: none, 0 0 0 0 rgba(23, 43, 77, .5);
        }










.SAMDisplayTable {
    width: 100%;
    border-style: solid;
    border-width: 1px;
    border-color: #AAAAAA;
    border-radius: 5px;
}

.SAMHeaderLabel {
    font-family: Arial;
    font-size: 9pt;
    font-weight: bold;
}

.SAMHeaderRow {
    font-family: Arial;
    font-weight: bold;
    font-size: 9pt;
    background-color: #d4d4c8;
    border-style: solid;
    border-color: Black;
    border-width: 1px;
    text-indent: 3px;
}

.SAMRow1 {
    font-family: Arial;
    font-size: 9pt;
    background-color: #FFFFF0;
    text-indent: 3px;
}

.SAMRow2 {
    font-family: Arial;
    font-size: 9pt;
    background-color: #EBEBEB;
    text-indent: 3px;
}
.HeaderRowSmall {
    font-family: Arial;
    font-weight: bold;
    font-size: 9pt;
    background-color: #d4d4c8;
    border-style: solid;
    border-color: Black;
    border-width: 1px;
    text-indent: 3px;
}

.Row1Small {
    font-family: Arial;
    font-size: 9pt;
    background-color: #E7ECFC;
    text-indent: 3px;
    padding: 0px;
}

.Row2Small {
    font-family: Arial;
    font-size: 9pt;
    text-indent: 3px;
    background-color: #DED3AF;
    padding: 0px;
}

.NonColoredRowSmall {
    font-family: Arial;
    font-size: 9pt;
    text-indent: 3px;
    /*background-color: #DED3AF;*/
    padding: 0px;
}

.SelectedRow {
    font-weight: bold;
    text-indent: 3px;
    background-color: Yellow;
    font-family: Arial;
    font-size: 9pt;
    padding: 0px;
}

.required:before {
  content: '* ';
  color: red;
}

.requiredAF + span:after {
    display: inline;
    color: red;
    content: " *";
}

.modalPopup {
    padding: 3px;
    width: 200px;
    background-color: #C4C4C4;
    border-radius: 25px;
}

/*Modal Popup*/
.modalBackground {
    background-color: Gray;
    -ms-filter: alpha(opacity=70);
    -ms-opacity: 0.7;
}

.standAloneTooltip {
    display: none;
    position: absolute;
    padding: 3px 3px 3px 3px;
    border: 1px solid #000000;
    background-color: #a9a9a9;
    color: #000000;
    text-align: left;
    z-index: 25;
    -moz-box-shadow: 1px 1px 2px #000;
    -webkit-box-shadow: 1px 1px 2px #000;
    box-shadow: 1px 1px 2px #000; /* For IE 8 */
    -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=1, Direction=135, Color='#000000')"; /* For IE 5.5 - 7 */
    filter: progid:DXImageTransform.Microsoft.Shadow(Strength=1, Direction=135, Color='#000000');
    -moz-border-radius: 5px;
    border-radius: 5px;
}

.watermarked {
    background-color: #EDEDED;
    border-style: inset;
    color: #848484;
}

.DMButton {
    color: #fff;
    border-color: #172b4d;
    background-color: #172b4d;
    box-shadow: 0 4px 6px rgba(50, 50, 93, .11), 0 1px 3px rgba(0, 0, 0, .08);
    font-size: .875rem;
    line-height: 1.5;
    padding: .875rem 1rem;
    border-radius: .4375rem;
}

/* Begin: This bit of CSS was added to remove the clear button that IE 10+ puts in all text boxes. This clear button can break the Ajax MaskedEditExtender control. */

input[type=text]::-ms-clear {
    display: none;
    width: 0;
    height: 0;
}


@media all {
    .page-break {display: none;}
}

@media print {
    .page-break {
        display: block;
        break-after: page;
    }
}

.MultiSelectDiv {
    font-family: Arial !important;
}

    .MultiSelectDiv {
        color: #000000; /* Redundancy for old browsers */
        color: var(--DropText-text-color);
        background: #FFFFFF; /* Redundancy for old browsers */
        background: var(--DropText-background-color);
        display: inline-block;
        border: 1px solid #A9A9A9; /* Redundancy for old browsers */
        border: 1px solid var(--DropText-border-color);
        outline: none;
        border-radius: 3px;
        transition-duration: .2s;
        transition-timing-function: linear;
    }

        .MultiSelectDiv_Disabled {
            color: #808080; /* Redundancy for old browsers */
            color: var(--DropText-text-color-disabled);
            border: 1px solid #D0D0D0; /* Redundancy for old browsers */
            border: 1px solid var(--DropText-border-color-disabled);
        }

        .MultiSelectDiv_Focus {
            border: 1px solid #00548B; /* Redundancy for old browsers */
            border: 1px solid var(--DropText-border-color-focus);
            background: #E6E6E6; /* Redundancy for old browsers */
            background: var(--DropText-background-color-focus);
            box-shadow: 0 0 0 2px #00548B; /* Redundancy for old browsers */
            box-shadow: 0 0 0 2px var(--DropText-border-color-focus);
            outline: none;
        }


/* MultiSelect Dropdown */

.MultiSelectContainer * {
    user-select: none;
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
}

.MultiSelectDiv_Disabled:focus {
    outline: none;
}

.MultiSelectDiv, .MultiSelectDiv_Disabled {
    cursor: default;
    width: 298px;
    min-height: 16.8px;
    overflow: hidden;
    z-index: 52;
}

.MultiSelectListBox {
    min-width: 298px;
    position: absolute;
    z-index: 50;
    background: #E6E6E6; /* Redundancy for old browsers */
    background: var(--DropText-background-color-focus);
    outline: none;
    margin-top: -5px;
}

.MultiSelectDiv_Focus + .MultiSelectListBox {
    border: 3px solid #00548B; /* Redundancy for old browsers */
    border-right: 3px solid #00548B; /* Redundancy for old browsers */
    border-bottom: 3px solid #00548B; /* Redundancy for old browsers */
    border-left: 3px solid var(--DropText-border-color-focus);
    border-right: 3px solid var(--DropText-border-color-focus);
    border-bottom: 3px solid var(--DropText-border-color-focus);
}

.MultiSelectDropIcon,
.MultiSelectDropIcon_Rotated {
    transform-origin: 50% 50%;
    float: right;
    vertical-align: middle;
}

.MultiSelectDropIcon_Rotated {
    cursor: pointer;
    transform: rotate(180deg);
    -ms-transform: rotate(180deg); /* IE 9 */
    -moz-transform: rotate(180deg); /* Firefox */
    -webkit-transform: rotate(180deg); /* Safari and Chrome */
    -o-transform: rotate(180deg);
}

.MultiSelectDefaultText {
    font-size: 13.25px;
    padding-left: 4px;
    top: 1px;
    position: relative;
    text-wrap: none;
    word-break: keep-all;
    user-select: none;
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
}

.MultiSelectListBox > option {
    color: #000;
    background: #E6E6E6; /* Redundancy for old browsers */
    background: var(--DropText-background-color-focus);
    user-select: none;
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
}

    .MultiSelectListBox > option:hover {
        color: #FFF; /* Redundancy for old browsers */
        color: var(--Button-text-color);
        background: #1E90FF; /* Redundancy for old browsers */
        background: var(--Button-focus)
    }

.SelectedOptionLink {
    text-decoration: none;
    overflow: hidden;
    white-space: nowrap;
    color: #FFF; /* Redundancy for old browsers */
    color: var(--Button-text-color);
    display: inline-block;
    background: #00548B; /* Redundancy for old browsers */
    background: var(--Button-background-color);
    border-radius: 3px;
    margin: 2px 0 2px 4px;
    padding: 2px;
    border: 1px solid #000; /* Redundancy for old browsers */
    border: 1px solid var(--SelectedOption-Border); /* Redundancy for old browsers */
    user-select: none;
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
}

    .SelectedOptionLink:hover {
        text-decoration: none;
    }

.SelectedOptionLink_Remove {
    height: 100%;
    text-decoration: none;
    padding: -2px 0 -2px 2px;
    margin-left: 2px;
    font-weight: bold;
    color: #FFF; /* Redundancy for old browsers */
    color: var(--Button-text-color);
}

    .SelectedOptionLink_Remove:hover {
        text-decoration: none;
    }

.SelectedOptionClearAll {
    font-weight: bold;
    background: #DD3409; /* Redundancy for old browsers */
    background: var(--SAM-Red);
    color: #FFF; /* Redundancy for old browsers */
    color: var(--Button-text-color);
    border: 1px solid #000; /* Redundancy for old browsers */
    border: 1px solid var(--SelectedOption-Border);
}

    .SelectedOptionClearAll > * {
        color: #FFF; /* Redundancy for old browsers */
        color: var(--Button-text-color);
    }


:root {
    /*If changing, change in SAMFuture also*/
    --main-focus-boxshadow: 0 0 4px 3px #ff1e38;
    --main-button: #00548B;
    --ajax__tab_header-filter: none;
    --DisplayTable-background-color: #F8F8F8;
    --DisplayTable-border-color: #999999;
    --HeaderRow-background-color: #D4D4C8;
    --Row1-background-color: #E7ECFC;
    --Row2-background-color: #DED3AF;
    --DisplayTable-text-color: #000000;
    --Button-focus: #1E90FF;
    --Button-text-color: #FFFFFF;
    --Button-background-color: #00548B;
    --DropText-background-color: #FFFFFF;
    --DropText-background-color-focus: #E6E6E6;
    --DropText-border-color: #A9A9A9;
    --DropText-border-color-disabled: #D0D0D0;
    --DropText-border-color-focus: #00548B;
    --DropText-text-color: #000000;
    --DropText-text-color-disabled: #808080;
    --DisplayLabel-border-color: #A9A9A9;
    --DisplayLabel-background-color: #E9E9E9;
    --DisplayLabel-font-color: #000000;
    --Main-Background: #FEFEFE;
    --Header-shell-background-color: #707070;
    --Nav-font-color: #000000;
    --SectionMenu-li-font-color: #FFFFFF;
    --Nav-font-color-hover: #FFFFFF;
    --Nav-background-color: #555555;
    --Nav-background-color-hover: #555555;
    --Nav-SectionMenu-color-hover: #666666; /* This should always be the backgound color plus "111111" unless R+B+G > 8080, then subtract "111111" */
    --Breadcrumbs-color: #000000;
    --Breadcrumbs-color-hover: #000080;
    --Breadcrumbs-right-images-filter: hue-rotate(0);
    --SAM-Red: #DD3409;
    --SelectedOption-Border: #000;
}

select:focus-visible {
    outline: 4px solid crimson;
    border: 4px solid crimson;
    border-radius: 3px;
}

input:focus-visible {
    outline: 4px solid crimson;
    border: 4px solid crimson;
    border-radius: 3px;
}
